Taiga
API ReferenceNon Insurance PayersV1

List non-insurance payers

GET
/api/non-insurance-payers/v1

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Query Parameters

name?string|null
category?|

Fuzzy-match category names of non-insurance payers.

categories_exact?array<string|null>

Filter by one or more categories by name. When multiple are present, non-insurance payers with any of the specified categories will be matched.

clinical_trial_ids?array<|null>

Filter by one or more clinical trials by their clinical_trial_id. When multiple are present, non-insurance payers with any of the specified clinical trials will be matched.

enabled?boolean|null
sort?|null
sort_direction?|null
limit?|

Defaults to 100

page_token?PageToken|null

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/non-insurance-payers/v1"
{  "items": [    {      "non_insurance_payer_id": "8aaf7567-cd3d-41a3-9d13-4e727c1f7ad1",      "name": "Sunrise Foundation",      "description": "string",      "category": "string",      "enabled": true,      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "clinical_trials": [        {          "clinical_trial_id": "656d392d-2bad-45a1-bb5d-94637107f232",          "non_insurance_payer_id": "8aaf7567-cd3d-41a3-9d13-4e727c1f7ad1",          "is_active": true,          "name": "string",          "clinical_trial_number": "string",          "clinical_trial_phase": "Phase 1"        }      ]    }  ],  "prev_page_token": "string",  "next_page_token": "string"}